This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 609142

Summary: Review Request: felix-main - Apache Felix Main
Product: [Fedora] Fedora Reporter: Victor G. Vasilyev <victor.vasilyev>
Component: Package ReviewAssignee: Stanislav Ochotnicky <sochotni>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: akurtako, fedora-package-review, notting, sochotni
Target Milestone: ---Flags: sochotni: fedora‑review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-07-30 19:45:22 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 607389, 609130, 615868, 615869    
Bug Blocks: 610153    

Description Victor G. Vasilyev 2010-06-29 10:02:59 EDT
Spec URL: http://victorv.fedorapeople.org/files/felix-main.spec
SRPM URL: http://victorv.fedorapeople.org/files/felix-main-2.0.5-1.fc14.src.rpm
Description: Apache Felix Main Classes

Note, the NetBeans 6.9 [1] depends on this package.
[1] https://fedoraproject.org/wiki/Features/NetBeans_6.9
Comment 1 Victor G. Vasilyev 2010-07-14 06:00:22 EDT
The second release is prepared for review where maven is used instead of ant.

Spec URL: http://victorv.fedorapeople.org/files/felix-main.spec
SRPM URL: http://victorv.fedorapeople.org/files/felix-main-2.0.5-2.fc14.src.rpm

The rpmlint tool shows "0 errors, 0 warnings" for all RPMs, including src.rpm.
Comment 2 Alexander Kurtakov 2010-07-24 02:19:37 EDT
Do you really need the depmap? As all these dependencies are in Fedora now, are they missing proper poms/depmaps?

Oh and one more thing why do you remove the parent?
felix-parent is up for review https://bugzilla.redhat.com/show_bug.cgi?id=615868 you would better drop this part of the patch and BR it.
Comment 3 Alexander Kurtakov 2010-07-24 02:25:07 EDT
Btw, https://bugzilla.redhat.com/show_bug.cgi?id=615869 felix-shell is also up for review should it depend on that bug too and remove that part of the patch?
Comment 4 Victor G. Vasilyev 2010-07-25 09:51:09 EDT
Alexander, thanks for your valuable comments.

(In reply to comment #2)
> Do you really need the depmap? As all these dependencies are in Fedora now, are
> they missing proper poms/depmaps?
Wow! The depmap is really redundant. Thanks for the hint.
I've removed it from the spec file, and will change a default pattern in my mind for maven packages. :-)

> Oh and one more thing why do you remove the parent?
> felix-parent is up for review
> https://bugzilla.redhat.com/show_bug.cgi?id=615868 you would better drop this
> part of the patch and BR it.    
(In reply to comment #3)
> Btw, https://bugzilla.redhat.com/show_bug.cgi?id=615869 felix-shell is also up
> for review should it depend on that bug too and remove that part of the patch?    
Unfortunately, both artifacts not in Fedora up to now, but I need to prepare the NetBeans 6.9 feature for the F14 features freeze in-time.
Seems, adding of both TODOs in spec file and explicit dependencies upon the bugs here is the best solution for now.

The third release is prepared for review:

Spec URL: http://victorv.fedorapeople.org/files/felix-main.spec
SRPM URL: http://victorv.fedorapeople.org/files/felix-main-2.0.5-3.fc14.src.rpm

Successful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2349479

The rpmlint tool shows " 0 errors, 0 warnings" for all RPMs, including src.rpm.
Comment 5 Victor G. Vasilyev 2010-07-26 12:22:32 EDT
The fourth release is prepared for review.

Changes:
- Use felix-parent https://bugzilla.redhat.com/show_bug.cgi?id=615868
- Remove demap file option from mvn-jpp command

Spec URL: http://victorv.fedorapeople.org/files/felix-main.spec
SRPM URL: http://victorv.fedorapeople.org/files/felix-main-2.0.5-4.fc14.src.rpm

Successful scratch koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2351437

The rpmlint tool shows " 0 errors, 0 warnings" for all RPMs, including src.rpm.
Comment 6 Victor G. Vasilyev 2010-07-26 14:01:02 EDT
The fifth release is prepared for review.

Changes:
- R: felix-parent is removed according to the comment 
  https://bugzilla.redhat.com/show_bug.cgi?id=615868#c9

Spec URL: http://victorv.fedorapeople.org/files/felix-main.spec
SRPM URL: http://victorv.fedorapeople.org/files/felix-main-2.0.5-5.fc14.src.rpm

Successful scratch koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2351879

The rpmlint tool shows " 0 errors, 0 warnings" for all RPMs, including src.rpm.
Comment 7 Stanislav Ochotnicky 2010-07-28 07:25:37 EDT
I am going to do the review.
Comment 8 Stanislav Ochotnicky 2010-07-28 08:45:23 EDT
OK: rpmlint must be run on every package. The output should be posted
in the review.

empty output...completely clean

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  .
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
PL: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: All independent sub-packages have License of their own (if it exists)
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: All filenames in rpm packages must be valid UTF-8.

Note that there is also install macro. You might want to use it since
you are already using macros for other commands.


Package nice and APPROVED.
Comment 9 Victor G. Vasilyev 2010-07-28 12:25:20 EDT
New Package CVS Request
=======================
Package Name: felix-main
Short Description: Apache Felix Main
Owners: victorv
Branches: 
InitialCC:
Comment 10 Kevin Fenzi 2010-07-30 16:25:01 EDT
CVS done (by process-cvs-requests.py).
Comment 11 Victor G. Vasilyev 2010-07-30 18:09:46 EDT
New Package CVS Request
=======================
Package Name: felix-main
Short Description: Apache Felix Main
Owners: victorv
Branches: F-14
InitialCC:
Comment 12 Kevin Fenzi 2010-07-30 18:47:16 EDT
f14 branch added.
Comment 13 Victor G. Vasilyev 2010-07-30 19:45:22 EDT
Koji builds:
dist-f14-updates-candidate
 http://koji.fedoraproject.org/koji/taskinfo?taskID=2360100
(dist-rawhide
 http://koji.fedoraproject.org/koji/taskinfo?taskID=2360148